/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.service.impl;

import com.rjconsultores.ventaboletos.dao.ProdTipoptovtaDAO;
import com.rjconsultores.ventaboletos.entidad.ProdTipoptovta;
import com.rjconsultores.ventaboletos.service.ProdTipoptovtaService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;
import java.util.Calendar;
import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 *
 * @author Rafius
 */
@Service("prodTipoptovtaService")
public class ProdTipoptovtaServiceImpl implements ProdTipoptovtaService {

    @Autowired
    private ProdTipoptovtaDAO prodTipoptovtaDAO;

    public List<ProdTipoptovta> obtenerTodos() {
        return prodTipoptovtaDAO.obtenerTodos();
    }

    public ProdTipoptovta obtenerID(Integer id) {
        return prodTipoptovtaDAO.obtenerID(id);
    }

    @Transactional
    public ProdTipoptovta suscribir(ProdTipoptovta entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return prodTipoptovtaDAO.suscribir(entidad);
    }

    @Transactional
    public ProdTipoptovta actualizacion(ProdTipoptovta entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.TRUE);

        return prodTipoptovtaDAO.actualizacion(entidad);
    }

    @Transactional
    public void borrar(ProdTipoptovta entidad) {
        entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
        entidad.setFecmodif(Calendar.getInstance().getTime());
        entidad.setActivo(Boolean.FALSE);

        prodTipoptovtaDAO.actualizacion(entidad);
    }
}
